org.bouncycastle.openpgp

## Class PGPEncryptedData.TruncatedStream

- java.lang.Object
- - java.io.InputStream
  - - org.bouncycastle.openpgp.PGPEncryptedData.TruncatedStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  PGPEncryptedData

    protected class PGPEncryptedData.TruncatedStream
    extends java.io.InputStream

### Method Summary

Methods
`int` `read()`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`